
Katello - Bug #7558

Configure Foreman websockets to use Katello certs

09/20/2014 11:03 AM - Stephen Benjamin

Status: Closed   

Priority: Normal   

Assignee:    

Category: Installer   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello-installer

/pull/120

  

Description

Foreman now uses encrypted websockets for VNC, we need to make sure to tell it to use the Katello certs instead of the puppet

ones:

:websockets_encrypt: true

:websockets_ssl_key: /etc/pki/katello/private/katello-apache.key

:websockets_ssl_cert: /etc/pki/katello/certs/katello-apache.crt

Related issues:

Related to Katello - Bug #24210: Katello certs must be readable by foreman user Closed 07/09/2018

Associated revisions

Revision 58c51d56 - 09/22/2014 08:01 AM - Stephen Benjamin 

refs #7558 - make CA readable by foreman and deploy CA crt to pub

Revision 88522d3a - 09/24/2014 04:42 PM - Stephen Benjamin 

Merge pull request #36 from stbenjam/7558

refs #7558 - make CA readable by foreman and deploy CA crt to pub

Revision 6c43a7ca - 09/25/2014 04:48 AM - Stephen Benjamin 

fixes #7558 - use Katello certs for web sockets

Revision 8fe57799 - 09/25/2014 08:21 AM - Stephen Benjamin 

Merge pull request #120 from stbenjam/7558

fixes #7558 - use Katello certs for web sockets

Revision 53f6728f - 10/01/2014 08:02 AM - Stephen Benjamin 

refs #7558 - document need to trust katello ca for encrypted websockets

Revision 3d493061 - 10/01/2014 08:41 AM - Stephen Benjamin 

Merge pull request #48 from stbenjam/7558

refs #7558 - document need to trust katello ca for encrypted websockets

History

#1 - 09/21/2014 02:32 PM - Eric Helms

- Difficulty set to easy

- Triaged changed from No to Yes

#2 - 09/22/2014 07:20 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Target version set to 56

- Pull request https://github.com/Katello/katello-installer/pull/120 added

- Pull request deleted ()

#3 - 09/22/2014 10:08 AM - Stephen Benjamin

- translation missing: en.field_release set to 13

#4 - 09/25/2014 09:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello-installer|6c43a7ca041f831da586cca3b91de8598ff65e96.

#5 - 07/09/2018 02:05 PM - Stephen Benjamin

- Related to Bug #24210: Katello certs must be readable by foreman user added
